petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESTSFormJacobian

Function to evaluate the Jacobian

### Synopsis

    #include "petscts.h"
    PetscErrorCode  SNESTSFormJacobian(SNES snes,Vec U,Mat A,Mat B,void *ctx)

Collective on SNES

### Input Parameter

| snes | - nonlinear solver
| U | - the current state at which to evaluate the residual
| ctx | - user context, must be a TS

### Output Parameter

| A | - the Jacobian
| B | - the preconditioning matrix (may be the same as A)
| flag | - indicates any structure change in the matrix

### Notes

This function is not normally called by users and is automatically registered with the SNES used by TS.

### See Also

SNESSetJacobian()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages